moreutils (0.70) unstable; urgency=medium

  * vidir: Improve zero padding to support larger directories,
    and also avoid unncessary padding.
    Thanks, Martin Kühl
  * zrun: Add support for zstd compression
    Thanks, Yannick Le Pennec
  * ts: Do not accept extra args and always read from stdin (Closes: #1041291)
    Thanks, Zefram

 -- Joey Hess <id@joeyh.name>  Mon, 09 Dec 2024 13:59:48 -0400

moreutils (0.69) unstable; urgency=medium

  * Makefile: Warn users of pkgx.dev about their poor life choices.

 -- Joey Hess <id@joeyh.name>  Sun, 25 Feb 2024 15:46:15 -0400

moreutils (0.68) unstable; urgency=medium

  * popen: Use pclose, fixing compile warning.
    Thanks, Mikel Olasagasti Uranga
  * vidir: Zero pad line numbers to work better when used with
    a small tab size such as 2.
    Thanks, Johan Grande

 -- Joey Hess <id@joeyh.name>  Tue, 28 Nov 2023 14:10:42 -0400

moreutils (0.67) unstable; urgency=medium

  * README: Formalize that I am not adding new tools to moreutils,
    and have not for a long while. This package needs someone new to
    take over editorial responsibility.
  * Makefile: Install man pages without executable bit.
    Thanks, meator
  * ifne.1: Improve example that pipes to mail to avoid escape
    sequences.

 -- Joey Hess <id@joeyh.name>  Tue, 21 Dec 2021 15:34:32 -0400

moreutils (0.66) unstable; urgency=medium

  * vipe: When no output is piped into vipe, and stdin is connected to
    the terminal, don't read from stdin before opening the editor.
    This allows eg: vipe | command
    Thanks, Florian Pensec
  * chronic: With -v, flush stdout after printing "STDERR" header.
    Thanks, Adam Sjøgren

 -- Joey Hess <id@joeyh.name>  Thu, 16 Sep 2021 09:12:42 -0400

moreutils (0.65) unstable; urgency=medium

  * vipe: Added --suffix option.
    Thanks, Pål Grønås Drange.
  * ifdata: fail when -ph is given but no hwaddr is available 
    (Closes: #386755)
    Thanks, Nicolas Schier

 -- Joey Hess <id@joeyh.name>  Sat, 02 Jan 2021 12:24:51 -0400

moreutils (0.64) unstable; urgency=medium

  * parallel: fix typo in usage message.
  * Makefile: Propagate compiler and linker flags when building is_utf8.
  * ts: Fix parsing of ISO-8601 dates.
    Thanks, David Laban.
  * parallel: Allow compiling with uClibc-ng, which does not have getloadavg.
    Thanks, Rosen Penev

 -- Joey Hess <id@joeyh.name>  Thu, 20 Aug 2020 13:05:19 -0400

moreutils (0.63) unstable; urgency=medium

  * vipe: Clean up temp file even when it exits with an error.
    Thanks, Stig Palmquist.
  * ts: Fix ts -m %.s to not output negative microseconds.
    Thanks, Dima Kogan
  * sponge: Fix bug in -a mode that doubled original content of file when
    the temp file is located on a different filesystem.

 -- Joey Hess <id@joeyh.name>  Wed, 09 Jan 2019 11:14:01 -0400

moreutils (0.62) unstable; urgency=medium

  * ts: Add -m option to use monotonic clock.
    Thanks, Ben Leinweber
  * ts: Added %.T format like %T but with hi-res.
    Thanks, Matt Koscica
  * pee: Ignore SIGPIPE and write errors caused by the command not
    consuming all its input. Closes: #697052
    Thanks, Ole Jørgen Brønner
  * chronic: document return value semantics of -e option. Closes: #867167
    Thanks, Daniel Shahaf
  * vidir: reword man page to more explicit mention 'file' args.
    Closes: #885221
    Thanks, Daniel Shahaf
  * pee: Don't buffer input, bringing behavior into line with tee.
    Thanks, Sauerbeck Tilman

 -- Joey Hess <id@joeyh.name>  Sun, 31 Dec 2017 12:02:05 -0400

moreutils (0.61) unstable; urgency=medium

  * chronic: Flush output more often to better preserve stdout,err ordering.
    Thanks, Miroslav Šustek

 -- Joey Hess <id@joeyh.name>  Wed, 19 Apr 2017 10:23:11 -0400

moreutils (0.60) unstable; urgency=medium

  * New implementation of isutf8 by Julien Palard.
    - Noncharacters (ending with 0xFFFF and 0xFFFE) were considered
      invalid when encoded in utf8, according to the unicode standard
      they are valid: "However, they are not illegal in interchange, nor
      does their presence cause Unicode text to be ill-formed."
    - \xf4\xbf\xbf\xbf was considered valid UTF8, which is not: after
      0xF4 the following byte should be between 80 and 8F.
    - This implementation does not try to decode the stream, so it checks
      it faster.
    - Add --list option. Closes: #691330
  * Support bullding in Cygwin.
    Thanks, StalkR
  * OSX build fix.
    Thanks, Tony Kelman.

 -- Joey Hess <id@joeyh.name>  Fri, 12 Aug 2016 19:15:57 -0400

moreutils (0.59) unstable; urgency=medium

  * Makefile: add DOCBOOKXSL setting.
    Thanks, Kevin Bullock
  * parallel: include signal.h to fix warning when building with clang
    Thanks, Kevin Bullock
  * chronic: Added -v option for more verbose output.
    Thanks, Tomas Mudrunka
  * chronic: Added -e option to display any stderr.
    Thanks, Tomas Mudrunka

 -- Joey Hess <id@joeyh.name>  Sat, 02 Apr 2016 15:23:08 -0400

moreutils (0.58) unstable; urgency=medium

  * OpenBSD compile fix.
    Thanks, Michael Reed.
  * ts: Quiet perl's complaints about utf-8. Closes: #812143
    Thanks, Nicolas Schier.

 -- Joey Hess <id@joeyh.name>  Tue, 23 Feb 2016 17:11:52 -0400

moreutils (0.57) unstable; urgency=medium

  * Avoid using non-portable error() in ifdata, a portability reversion
    introduced in 0.56.

 -- Joey Hess <id@joeyh.name>  Mon, 13 Jul 2015 18:29:06 -0400

moreutils (0.56) unstable; urgency=medium

  * ifdata: Fix error messages when a non-existent network interface
    is queried. Closes: #386754 Thanks, Nicolas Schier
  * errno.docbook: Fix typo. Closes: #749399
  * vidir: Create missing target directories. Closes: #728688
    Thanks, Nicolas Schier

 -- Joey Hess <id@joeyh.name>  Wed, 03 Jun 2015 12:03:50 -0400

moreutils (0.55) unstable; urgency=medium

  * parallel: serialise output through internal pipe. Closes: #704125
    Thanks, Nicolas Schier.
  * sponge: add append option '-a'. Closes: #623197
    Thanks, Nicolas Schier.

 -- Joey Hess <id@joeyh.name>  Mon, 19 Jan 2015 13:58:08 -0400

moreutils (0.54) unstable; urgency=medium

  * vidir: Fix bug in handling filenames that share a common
    prefix when renaming. Closes: #654326
    Thanks, Kushal Kumaran

 -- Joey Hess <id@joeyh.name>  Fri, 28 Nov 2014 11:25:32 -0400

moreutils (0.53) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:31:54 -0400

moreutils (0.52) unstable; urgency=medium

  * Fix docbook markup for parallel examples. Closes: #756377
  * ts: Add -s option to make timestamp relative to start.
    Thanks, Adam Juraszek.

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Sep 2014 14:12:05 -0400

moreutils (0.51) unstable; urgency=low

  * Fix ifdata to build on OS X. Thanks, Peter Eisentraut
    Closes: #575294
  * use docbook-xsl for building man pages. Thanks, Peter Eisentraut
    for extensive patch set!
    Closes: #728831
  * Fix ifdata, ifne, parallel to build on illumos. Thanks, Gabriele Giacone
    Closes: #733736

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 12:01:21 -0400

moreutils (0.50) unstable; urgency=low

  * Fix build on Hurd. Closes: #716653
    (Thanks, Pino Toscano)

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 13:00:24 -0400

moreutils (0.49) unstable; urgency=low

  * ts: Fix timezone used with -i
  * errno, isutf8: Fix zero-termination of option list, which could lead
    to getopt crash. Closes: #715867
    (Thanks, Mayhem Team)

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2013 16:21:41 -0400

moreutils (0.48) unstable; urgency=low

  * Allow overriding PREFIX and CFLAGS to make the build more flexible
    (Thanks, Ben Walton)
  * Typo. Closes: #697113
  * ts: -i enables incremental timestamping.
    Thanks, Thomas Vander Stichele
  * ts: Support single-digit day dates.
    Thanks, Peter Lunicks
  * sponge: Check fclose to detect certian short reads. Closes: #704453

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:50:03 -0400

moreutils (0.47) unstable; urgency=low

  * errno: New utility that looks up errno numbers or names.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2012 16:31:17 -0400

moreutils (0.46) unstable; urgency=low

  * Typo. Closes: #649158
  * combine: Avoid reading files twice, to support data coming from
    pipes. Closes: #667960 Thanks, Carsten Hey

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Apr 2012 16:19:34 -0400

moreutils (0.45) unstable; urgency=low

  * ts: Support %.s for seconds sinch epoch with subsecond resolution.
    Closes: #619764

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:44:28 -0400

moreutils (0.44) unstable; urgency=low

  * pee: Propigate exit status of commands run.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Mar 2011 17:38:14 -0400

moreutils (0.43) unstable; urgency=low

  * chronic: New command, runs a command quietly, unless it fails.
  * Now depends on IPC::Run, used by chronic.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Oct 2010 15:54:37 -0400

moreutils (0.42) unstable; urgency=low

  * sponge: Guarantee that output file is always updated atomically,
    by renaming a temp file into place. Closes: #592144
  * sponge: Ensure that output file permissions are always preserved
    if it already exists.
  * Typo. Closes: #596032

 -- Joey Hess <joeyh@debian.org>  Wed, 06 Oct 2010 20:03:25 -0400

moreutils (0.41) unstable; urgency=low

  * ifdata.docbook: Mark interface as required in synopsis. Closes: #588397
  * Add missing AUTHOR section to docbook man pages.
  * sponge: Correct bad use of fread that caused a trailing quantity of
    soaked data to be silently discarded when a temp file was used
    and sponge output to stdout. Closes: #595220

 -- Joey Hess <joeyh@debian.org>  Thu, 02 Sep 2010 16:47:10 -0400

moreutils (0.40) unstable; urgency=low

  * lckdo: Now deprecated, since util-linux's flock(1) can do the same
    thing.
  * parallel: -i will now replace {} inside parameters, before the {} had
    to be a separate parameter.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Jul 2010 19:38:14 -0400

moreutils (0.39) unstable; urgency=low

  * parallel: Fix exit code handling when commands are specified after --
  * parallel: Make -j 0 do something reasonable (start all jobs at once).
  * parallel: Fix to really avoid running new jobs when load is too high.
  * parallel: Fix logic error in code handling -l that could make parallel
    return a bogus 255 exit code when all jobs succeeded. Closes: #569617
  * parallel: Allow a decimal load value to be specified with -l
  * Caps sillyness. Closes: #570815
  * zrun: Add support for .xz files.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Feb 2010 15:51:26 -0500

moreutils (0.38) unstable; urgency=low

  * Description improvements. Closes: #549450
    (Thanks, Justin B Rye)
  * parallel: Allow running independent commands,
    like `parallel -j3 -- ls df "echo hi"`
  * ifdata: Add FreeBSD kernel support, although some of the more esoteric
    interface options are not currently supported in FreeBSD.
  * parallel: Define WEXITED to allow building on FreeBSD kernel.
  * Thanks Enrico Tassi for the FreeBSD kernel support, which should
    be enough to get moreutils built on Debian kFreeBSD. Closes: #562609

 -- Joey Hess <joeyh@debian.org>  Tue, 09 Feb 2010 15:50:42 -0500

moreutils (0.37) unstable; urgency=low

  * parallel: Clarify man page regarding CPUs. Closes: #536597
  * parallel: Add -n option. Thanks, Pierre Habouzit. Closes: #537992
    (As a side effect, fixes a segfault if -- was omitted.)
  * parallel.1: Typo fixes. Closes: #538147

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Jul 2009 10:18:40 +0200

moreutils (0.36) unstable; urgency=low

  * parallel: New program, contributed by Tollef Fog Heen,
    that can run multiple jobs in parallel, optionally checking
    load average.
  * mispipe: Fix closing of extra pipe FD before starting command
    so it is not inherited by daemons. Closes: #533448
    (Thanks, Jeremie Koenig)

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Jul 2009 11:01:41 -0400

moreutils (0.35) unstable; urgency=low

  * ifdata: Don't assume that all interface names are 6 characters or less,
    for instance "wmaster0" is longer. Increase the limit to 20 characters.
    Closes: #526654 (Thanks, Alan Pope)
  * isutf8: Reject UTF-8-encoded UTF-16 surrogates. Closes: #525301
    (Thanks, Jakub Wilk and liw)

 -- Joey Hess <joeyh@debian.org>  Tue, 05 May 2009 15:06:41 -0400

moreutils (0.34) unstable; urgency=low

  * vipe: Avoid dying on empty input. Thanks, Anders Kaseorg
    Closes: #508491

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Dec 2008 15:11:23 -0500

moreutils (0.33) unstable; urgency=low

  * Support installing moreutils into prefixes other than /usr (Evan Broder)
  * Fix zrun breakage introduced last version. Closes: #504129

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Oct 2008 17:01:03 -0400

moreutils (0.32) unstable; urgency=low

  * zrun: Can be linked to zsomeprog to run the equivilant of zrun someprog.
    Closes: #411623 (Stefan Fritsch)
  * zrun: Add support for lzma and lzo. (Stefan Fritsch)
  * Fix pod error in vidir(1).

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Oct 2008 23:43:30 -0400

moreutils (0.31) unstable; urgency=low

  * pee.1: Document difference with tee in stdout.
  * ts: Support displaying fractional seconds via a "%.S" conversion
    specification. Closes: #482789

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Jun 2008 23:19:31 -0400

moreutils (0.30) unstable; urgency=low

  * debhelper v7; rules file minimisation
  * Use DESTDIR instead of PREFIX.
  * Add a DOCBOOK2XMAN setting. (Greg KH)
  * ifne: Add -n which makes it run the command if stdin is empty.
  * ifne: If no command is specified, print usage information.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2008 19:37:42 -0400

moreutils (0.29) unstable; urgency=low

  * Add ifne, contributed by Javier Merino.
  * sponge, ifne: Ensure that suspending/resuming doesn't
    result in partial writes of the data, by using fwrite()
    rather than write().
  * sponge: Handle large data sizes by using a temp file rather than by
    consuming arbitrary amounts of memory. Patch by Brock Noland.
  * ts: Allow both -r and a format to be specified, to parse dates and output
    in a specified format.
  * ts: Fix bug in timezone regexp.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 2008 15:30:52 -0400

moreutils (0.28) unstable; urgency=low

  * Moved to a git repository.
  * vidir: Applied patch from Stefan Fritsch (one part of #412176):
    - Check for control characters (especially newlines) in filenames
      and error out, since this can greatly confuse the editor or vidir.
    - If the source of a rename does not exist (and thus the rename will fail
      anyway), vidir should not move an existing target file to a tmpfile.
    - If a directory is renamed, vidir should take that into account when
      renaming files in this directory.
    - If a directory name is passed as name/ to vidir, vidir should not
      add second slash after the name.
  * vidir: Add support for unlinking directories. To recursivly delete
    a directory and its contents, pipe find to vidir, and delete the directory
    and its contents in the editor. Closes: #412176
  * Add example to man page about recursive modification of directories.
    Closes: #390099

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:26:23 -0500

moreutils (0.27) unstable; urgency=low

  * vidir: Check exit codes of close. Closes: #463739

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 16:42:18 -0500

moreutils (0.26) unstable; urgency=low

  * isutf8: Correct inverted exit code when passed a file to check.
    Closes: #453306

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2007 14:19:32 -0500

moreutils (0.25) unstable; urgency=low

  * isutf8: Detect and reject overlong UTF-8 sequences. Closes: #440951
    Many thanks to liw for the patch.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Nov 2007 11:58:07 -0500

moreutils (0.24) unstable; urgency=low

  * vidir: Force numbers to normalised integers.
  * vidir: Abort on unknown item numbers rather than deleting them.
    Closes: #442440

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Sep 2007 13:05:54 -0400

moreutils (0.23) unstable; urgency=low

  * Add pointer to join from combine's man page. Closes: #435516
  * Don't strip binaries for debian package if built with
    DEB_BUILD_OPTIONS=nostrip. Closes: #437577
  * Include Michael Tokarev's lckdo program and replace / conflict with the
    current lckdo package. (Robert Edmonds) Closes: #432906
  * lckdo: Don't clear other flags when setting close on exec.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Sep 2007 21:45:25 -0400

moreutils (0.22) unstable; urgency=low

  * vidir, zrun: Don't put temp files in the current directory. Closes: #429367

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2007 16:11:27 -0400

moreutils (0.21) unstable; urgency=low

  * Patch from Sergej Pupykin fixing ifdata -pN.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2007 13:07:21 -0400

moreutils (0.20) unstable; urgency=low

  * Typo fixes from Ralf Wildenhues.
  * ifdata: Add -bips and -bops options contributed by André Appel,
    to print the number of bytes of incoming/outgoing traffic per second.

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Dec 2006 15:55:45 -0500

moreutils (0.19) unstable; urgency=low

  * vidir: Don't ignore files whose names end in dots. Closes: #398141
    Thanks, Bram Sanders.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Nov 2006 22:02:17 -0500

moreutils (0.18) unstable; urgency=low

  * mispipe.docbook: Typo. Closes: #386756
  * spongs: Output to stdout if no file is specified, useful in a pipeline
    such as: cvs diff | sponge | patch -R -p0
    Closes: #387501

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Sep 2006 15:13:46 -0400

moreutils (0.17) unstable; urgency=low

  * Add missing \n to sponge usage. Closes: #383944
  * Add mispipe, contributed by Nathanael Nerode. Pipes together two commands,
    returning the exit status of the first.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Sep 2006 20:49:16 -0400

moreutils (0.16) unstable; urgency=low

  * Change the default ts format to include the month and day, for consistency
    with syslog format.
  * Add -r switch to ts, which makes it convert existing timestamps in
    the input into relative times, such as "15m2s ago". Many common date
    formats are supported.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Aug 2006 15:27:42 -0400

moreutils (0.15) unstable; urgency=low

  * Remove notes about potential tools from README, moved to wiki.
  * vidir: Don't abort if it sees an empty or all-whitespace line.
  * vidir: If just a filename is removed and the number is left,
    treat this the same as removing the whole line, and delete the file,
    instead of trying to rename the file to "".
  * vidir: Remove the periods after the item numbers.
  * vidir: Man page improvements. Closes: #378122
  * combine: Man page improvements, to clarify even more that order does
    matter and that the operations are not commutative. Closes: #361123
  * combine: The behavior of "or" was fairly strange if lines were repeated in
    a file. Changed behavior to just print all lines from both files, even
    if this means printing dups. Not sure I like this behavior either, but
    it's consistent with the very useful behaviors of "and" and "not".
  * vidir, vipe: Use /usr/bin/editor if it's present, and EDITOR and VISUAL
    arn't set, to comply with Debian policy. For portability, fall back to vi
    if there's no /usr/bin/editor. Closes: #378623

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 22:26:56 -0400

moreutils (0.14) unstable; urgency=low

  * vidir: Also support EDITOR or VISUAL that contains spaces and parameters.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jul 2006 13:35:49 -0400

moreutils (0.13) unstable; urgency=low

  * ifdata: typo
  * vipe: Support EDITOR or VISUAL that contains spaces and parameters.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jul 2006 12:53:44 -0400

moreutils (0.12) unstable; urgency=low

  * Really fix typo. Closes: #369485
  * zrun: Add usage message.
  * ifdata: Fix bug in argument parsing that could make it segfault.
  * combine: Allow operators to be written in any case.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jun 2006 14:04:49 -0400

moreutils (0.11) unstable; urgency=low

  * combine: better synopsis. Closes: #360544
  * ifdata: basically rewritten by Adam Lackorzynski, code size is 40%
    smaller, macros removed, return checks added for all lib calls.
    Closes: #361728
  * vidir: behave properly if passed a directory name to edit. Closes: #369156
  * check-isutf8: needs to be a bash script, the way it encodes characters
    won't work with dash.
  * check-isutf8: exit nonzero if any tests fail

 -- Joey Hess <joeyh@debian.org>  Sat, 27 May 2006 19:12:50 -0400

moreutils (0.10) unstable; urgency=low

  * ifdata: patch from Adam Lackorzynski to translate French error messages
    to English and to convert some #defines to enums.
  * ifdata: patch from Adam Lackorzynski to avoid printing info for
    bogus interface. Closes: #360433
  * Add zrun, contributed by Chung-chieh Shan (you might prefer to alias it to
    "z").

 -- Joey Hess <joeyh@debian.org>  Sun,  2 Apr 2006 18:34:01 -0400

moreutils (0.9) unstable; urgency=low

  * ifdata: robustness patch from Adam Lackorzynski, in particular deal with
    /proc not mounted. Closes: #358930
  * Typo fixes. Closes: #359039, #359040
  * pee: don't send a copy of every line sent to every command to stdout.
    Seems best for it not to output anything to stdout on its on at all.
    Closes: #359041

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Mar 2006 13:45:45 -0500

moreutils (0.8) unstable; urgency=low

  * Back to Mithandir's C sponge, now fixed.
  * tss.1, ifdata.1: typo fix. Closes: #358557, #358556
  * ifdata: patch from its author to make it behave properly on big endian
    systems. Closes: #358860

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Mar 2006 20:52:21 -0500

moreutils (0.7) unstable; urgency=low

  * Add pee (pipe tee) contributed by Miek Gieben.
  * ifdata: Patch from KELEMEN Peter to add support for printing hardware
    interface. Closes: #357646

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:17:08 -0500

moreutils (0.6) unstable; urgency=low

  * Revert to perl sponge since the C one corrupts larger files.
    Hopefully temporary..

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Mar 2006 15:33:43 -0500

moreutils (0.5) unstable; urgency=low

  * Added ifdata, by Benjamin BAYART (originally called ifcfg).
  * Made ifdata -Wall clean.
  * Made ifdata support -h and print usage on unknown options.
  * Cleaned up ifdata's behavior when asked to print info for nonexistant
    devices. Still needs improvement.
  * Indentation improvements.
  * Replaced and(1) and not(1) by combine, based on an idea by Matt Taggart.

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Mar 2006 23:02:14 -0500

moreutils (0.4) unstable; urgency=low

  * Added versions of and(1) and not(1) that support arbitrary numbers of
    input files.

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 22:28:13 -0500

moreutils (0.3) unstable; urgency=low

  * Switch sponge to a C implementation by mithandir.
  * Added a list of prospective tools that I am considering adding to the
    README file.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 Mar 2006 18:09:46 -0500

moreutils (0.2) unstable; urgency=low

  * Build dep on docbook-xml.

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Feb 2006 18:40:56 -0500

moreutils (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Feb 2006 17:11:21 -0500
